Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO::Objref_Traits< RTCORBA::UnixDomainProtocolProperties > Struct Reference

`#include <RTCORBAC.h>`

List of all members.

## Static Public Methods

RTCORBA::UnixDomainProtocolProperties_ptr | tao_duplicate (RTCORBA::UnixDomainProtocolProperties_ptr)
void | tao_release (RTCORBA::UnixDomainProtocolProperties_ptr)
RTCORBA::UnixDomainProtocolProperties_ptr | tao_nil (void)
CORBA::Boolean | tao_marshal (RTCORBA::UnixDomainProtocolProperties_ptr p, TAO_OutputCDR &cdr)

## Member Function Documentation

RTCORBA::UnixDomainProtocolProperties_ptr TAO::Objref_Traits< RTCORBA::UnixDomainProtocolProperties >::tao_duplicate | ( | RTCORBA::UnixDomainProtocolProperties_ptr |  | ) | `[static]`

CORBA::Boolean TAO::Objref_Traits< RTCORBA::UnixDomainProtocolProperties >::tao_marshal | ( | RTCORBA::UnixDomainProtocolProperties_ptr | p,
|  | TAO_OutputCDR & | cdr
| ) | `[static]`

RTCORBA::UnixDomainProtocolProperties_ptr TAO::Objref_Traits< RTCORBA::UnixDomainProtocolProperties >::tao_nil | ( | void |  | ) | `[static]`

void TAO::Objref_Traits< RTCORBA::UnixDomainProtocolProperties >::tao_release | ( | RTCORBA::UnixDomainProtocolProperties_ptr |  | ) | `[static]`

The documentation for this struct was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp